﻿Public Class FrmMain
	Private Sub Me_Load() Handles MyBase.Load
		Tds.Supplier.AddSupplierRow("Doll")
		Tds.Supplier.AddSupplierRow("Alternative")
		Tds.Supplier.AddSupplierRow("Predator")
		Tds.Hardware.AddHardwareRow("Desktop-PC", Tds.Supplier.First)
		Tds.Hardware.AddHardwareRow("Tower", Tds.Supplier.Last)
		Tds.User.AddUserRow("Müller", Tds.Hardware.First)
		Tds.User.AddUserRow("Meier", Tds.Hardware.Last)
	End Sub

	Private Sub BtnFillLastDgvColumn_Click() Handles BtnFillLastDgvColumn.Click
		For i = 0 To BsUsers.Count - 1
			BsUsers.Position = i
			Dim CurrentSupplierID = DirectCast(DirectCast(BsUsers.Current, DataRowView).Row, Tds.UserRow).HardwareRow.SupplierID
			Dim CurrentSupplier = Tds.Supplier.First(Function(x) x.ID = CurrentSupplierID)
			DgvUsers.Rows(DgvUsers.CurrentCell.RowIndex).Cells(2).Value = CurrentSupplier.Name
		Next
	End Sub

	Private Sub FrmMain_FormClosing(sender As Object, e As FormClosingEventArgs) Handles Me.FormClosing
		For Each DGV In Me.Controls.OfType(Of DataGridView)
			DGV.DataSource = Nothing
		Next
	End Sub
End Class